Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class RenameExtensions

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.optional.RenameExtensions

public class RenameExtensions
extends MatchingTask

Version:
  1.2
Author:
  dIon Gillard dion@multitask.com.au, Stefan Bodewig

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`RenameExtensions()` Creates new RenameExtensions

Method Summary
`void` | `execute()` Executes the task, i.e.
`void` | `setFromExtension(java.lang.String from)` store fromExtension
`void` | `setReplace(boolean replace)` store replace attribute - this determines whether the target file should be overwritten if present
`void` | `setSrcDir(java.io.File srcDir)` Set the source dir to find the files to be renamed.
`void` | `setToExtension(java.lang.String to)` store toExtension

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenameExtensions

    public RenameExtensions()

  Creates new RenameExtensions

Method Detail

### setFromExtension

    public void setFromExtension(java.lang.String from)

  store fromExtension

### setToExtension

    public void setToExtension(java.lang.String to)

  store toExtension

### setReplace

    public void setReplace(boolean replace)

  store replace attribute - this determines whether the target file should be overwritten if present

### setSrcDir

    public void setSrcDir(java.io.File srcDir)

  Set the source dir to find the files to be renamed.

### execute

    public void execute()
                 throws BuildException

  Executes the task, i.e. does the actual compiler call
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.